{ pkgs, config, ...}:

{
  environment = {
    systemPackages = with pkgs; [
      # Internet
      firefox
      keepassxc
      riot-desktop
      qsyncthingtray

      # Spelling
      hunspell
      
      # Wire(less) internet support
      dnsmasq
      hostapd
      iw
      plasma-nm

      # KDE plasma and applications
      #cuttlefish
      discover
      # Dependencies for discover
      glib-networking
      libsoup
      # End
      kdeApplications.akonadi
      kdeApplications.ark
      kdeApplications.filelight
      kdeApplications.gwenview
      kdeApplications.kate
      kdeApplications.kdialog
      kdeApplications.kmail
      kdeApplications.kmail-account-wizard
      kdeApplications.kmailtransport
      kdeApplications.knotes
      kdeApplications.kolourpaint
      kdeApplications.kontact
      latte-dock # My PC has enough RAM by now
      kdeApplications.kleopatra
      kdeApplications.korganizer
      kdeFrameworks.qqc2-desktop-style # Makes QtQuick applications look like desktop ones
      okular
      packagekit
      packagekit-qt
      plasma-desktop
      plasma-integration
      # plasma5
      plasma5.polkit-kde-agent
      plasma5.powerdevil
      plasma5.sddm-kcm
      plasma5.user-manager
      plasma5.xdg-desktop-portal-kde
      my.plasma-applet-window-buttons
      my.sddm-nx
      sddm
      kdeApplications.spectacle
      
      cantata

      # To show of your distro
      neofetch

      # Communication
      tdesktop
     
      # Misc
      networkmanager
      qemu_kvm
      virt-manager
    ];
  };
  nixpkgs.config.firefox.enablePlasmaBrowserIntegration = true;
}
